unit RosiComp_splash;

{<
  RosiComp_splash defines splash caption in Delphi Startup dialog.

  Updated version compatible with Delphi2010+.
  Full functional demo.
  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Jan 2012)
  @lastmod(Oct 2014)
}

interface

uses
  ToolsApi, Windows, Classes, Graphics;
{$R ROSICOMP_SPLASH.RES}
const
  RosiCompPackVer = '11.2';

implementation

procedure AddSplash;
var
  bmp: TBitmap;
begin
  bmp:=TBitmap.Create;
  bmp.LoadFromResourceName(HInstance, 'ROSIPACKAGESPLASH');
  SplashScreenServices.AddPluginBitmap('Rosi Component package for Delphi 2010+, v' + RosiCompPackVer, bmp.Handle, false, 'Registered', '');
  bmp.Free;
end;

initialization

AddSplash;

end.
